Bug 458002 - RHEA-2007:0128-3 notice contains packages which don't exist
RHEA-2007:0128-3 notice contains packages which don't exist
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
rhn506
All Linux
medium Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
us=47191
:
Depends On:
Blocks: 428922
  Show dependency treegraph
 
Reported: 2008-08-05 22:11 EDT by James Antill
Modified: 2010-12-21 07:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 07:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-08-05 22:11:55 EDT
Description of problem:
 I'm not sure this is the right component, the root cause of the problems really needs to be against rel-eng etc. I think. Anyway...

 yum/RHN provides update notices via. the updateinfo.xml file, part of that data is the packages which need to be downloaded/updated to fix that specific problem.
 However RHEA-2007:0128-3 contains all of the pkgs for all of the releases.

 Eg.

RHBA-2007:0129-2
 contains (relevant to .x86_64)
      Files : net-snmp-5.3.1-14.0.1.el5.i386.rpm
	    : net-snmp-libs-5.3.1-14.0.1.el5.x86_64.rpm
	    : net-snmp-devel-5.3.1-14.0.1.el5.i386.rpm
	    : net-snmp-perl-5.3.1-14.0.1.el5.x86_64.rpm
	    : net-snmp-utils-5.3.1-14.0.1.el5.i386.rpm
	    : net-snmp-5.3.1-14.0.1.el5.x86_64.rpm
	    : net-snmp-utils-5.3.1-14.0.1.el5.x86_64.rpm
	    : net-snmp-devel-5.3.1-14.0.1.el5.x86_64.rpm
	    : net-snmp-libs-5.3.1-14.0.1.el5.i386.rpm
	    : net-snmp-perl-5.3.1-14.0.1.el5.i386.rpm

...but RHEA-2007:0128-3 contains:

      Files : tzdata-2007d-1.el5.noarch.rpm
	    : tzdata-2007d-1.el3.noarch.rpm
	    : tzdata-2007d-1.el4.noarch.rpm
	    : tzdata-2007d-1.el2_1.noarch.rpm

...while this is not _that_ bad atm. ... it will soon be much more visible with a yum/yum-security change going into 5.3, and while I could probably work around it AFAICS this is the only notice with bad packages in it.
Comment 1 Amy Owens 2008-08-06 08:30:14 EDT
Dennis-- can you take a look?
Comment 2 Dennis Gregorovic 2008-09-05 12:30:45 EDT
This actually sounds like an issue for James Bowes.
Comment 5 Sebastian Skracic 2010-12-21 07:31:44 EST
I am extremely pleased to find this fixed along with other changes included in moving the repodata generation to Java layer.  By manually inspecting the updateinfo.xml file on a RHEL5 box, it shows only this package info:

    <pkglist>
      <collection short="rhel-i386-server-5">
        <name>Red Hat Enterprise Linux (v. 5 for 32-bit x86)</name>
        <package name="tzdata" version="2007d" release="1.el5" epoch="0" arch="noarch" src="tzdata-2007d-1.el5.src.rpm">
          <filename>tzdata-2007d-1.el5.noarch.rpm</filename>
          <sum type="md5">7c801d25ca4e0dbfb9225b709aa2cbc3</sum>
        </package>
      </collection>
    </pkglist>

Note You need to log in before you can comment on or make changes to this bug.